package com.realnet.com.Services;
import com.realnet.com.Repository.Student_registrationRepository;
import com.realnet.com.Entity.Student_registration
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
















	import org.springframework.stereotype.Service;

@Service
 public class Student_registrationService {
@Autowired
private Student_registrationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;















public Student_registration Savedata(Student_registration data) {
















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Student_registration save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Student_registration> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Student_registration> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Student_registration> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Student_registration getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Student_registration update(Student_registration data,Integer id) {
	Student_registration old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setNumber_field(data.getNumber_field());

old.setEmail_field(data.getEmail_field());

old.setDatetime_field(data.getDatetime_field());

old.setBranch(data.getBranch());

old.setGender(data.getGender());

old.setContact(data.getContact());

final Student_registration test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
